## org.apache.taglibs.standard.tag.el.core
Class UrlTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.UrlSupport
                  org.apache.taglibs.standard.tag.el.core.UrlTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, ParamParent

    public class UrlTag

extends UrlSupport

A handler for <urlEncode> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.UrlSupport
`context, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UrlTag()` Constructs a new URLEncodeTag.

Method Summary
`int` `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` `release()` Release state.
`void` `setContext(String context_)`
`void` `setValue(String value_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.UrlSupport
`addParameter, doEndTag, resolveUrl, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### UrlTag

    public UrlTag()

  Constructs a new URLEncodeTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `UrlSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `UrlSupport`
  See Also:
    `Tag.release()`

### setValue

    public void setValue(String value_)

### setContext

    public void setContext(String context_)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.